---
search:
  tags:
    - Catalog
    - GET
seo:
  description: >-
    Returns vendors across the account. Optionally filter by shop_id or
    seller_id query parameter. Reference for the GET /vendors endpoint in the
    Bolder API v2.
sidebar:
  label: List vendors
  badge: GET
title: List vendors
type: openapi-operation
---
Returns vendors across the account.
Optionally filter by `shop_id` or `seller_id` query parameter.

`GET /vendors`

**cURL**

```bash
# List all vendors for account
curl -s -H "Authorization: Bearer $BOLDER_TOKEN" \
  "https://api.onbolder.com/v2/vendors"

# Filter by shop
curl -s -H "Authorization: Bearer $BOLDER_TOKEN" \
  "https://api.onbolder.com/v2/vendors?shop_id=1"

# Filter by seller
curl -s -H "Authorization: Bearer $BOLDER_TOKEN" \
  "https://api.onbolder.com/v2/vendors?seller_id=5"
```

**Responses**

- `200` — Vendors list

Response example, 200:

```json
{
  "_class": [
    "results",
    "vendors"
  ],
  "total_items": 2,
  "_embedded": {
    "items": [
      {
        "id": 1,
        "name": "Acme Corp",
        "slug": "acme-corp",
        "products_count": 15
      }
    ]
  }
}
```
